package com.bea.medrec.controller;


/*
  ** This file was automatically generated by 
  ** EJBGen WebLogic Server 10.0 SP0  Mon Mar 26 02:02:31 BST 2007 914577 
*/


import javax.ejb.EJBObject;
import java.rmi.RemoteException;

// BEGIN imports from bean class
import com.bea.medrec.entities.*;
import com.bea.medrec.exceptions.*;
import com.bea.medrec.utils.*;
import com.bea.medrec.value.*;
import java.rmi.*;
import java.util.*;
import javax.ejb.*;
import javax.jms.*;
import javax.naming.*;
import org.apache.log4j.*;
import weblogic.ejb.*;
import weblogic.ejbgen.*;
// END imports from bean class


/**
 * <p>Session facade for all MedRec adminstrator functionality.</p>
 */

public interface AdminSession extends EJBObject {


  /**
   * <p>Activates a patients account for general access. A email notification
 is sent to the patients.</p>
   * @exception MedRecException
   * @param pUsername    Username of account to be approved.
   * @weblogic.ejbgen.RemoteMethod UNSPECIFIED
   */
  public void activateAccountStatus(String pUsername, com.bea.medrec.value.Mail pMail)     throws RemoteException, com.bea.medrec.exceptions.MedRecException, java.lang.Exception;

  /**
   * <p>Assigns given groups for a given user.</p>
   * @exception NamingException
   * @param pUsername  Username
   * @weblogic.ejbgen.RemoteMethod UNSPECIFIED
   */
  public void assignGroups(String pUsername, String[] pGroupNames)     throws RemoteException, javax.naming.NamingException, java.lang.Exception;

  /**
   * <p>Assigns given groups for a given user.</p>
   * @exception NamingException
   * @param pUsername  Username
   * @weblogic.ejbgen.RemoteMethod UNSPECIFIED
   */
  public void assignPatientGroups(String pUsername)     throws RemoteException, javax.naming.NamingException, java.lang.Exception;

  /**
   * <p>Create new patient account, login and groups,
 and store revelent patient data.</p>
   * @exception RemoteException
   * @param pPatient    Patient value objects.
   * @weblogic.ejbgen.RemoteMethod UNSPECIFIED
   */
  public Integer createPatientAccount(com.bea.medrec.value.User pUser, com.bea.medrec.value.Patient pPatient)     throws RemoteException, javax.naming.NamingException, com.bea.medrec.exceptions.DuplicateAccountException, java.lang.Exception;

  /**
   * <p>Deny new user registration.  Sets account status to "DENY".</p>
   * @exception MedRecException
   * @param pUsername    Username of account to be denied.
   * @weblogic.ejbgen.RemoteMethod UNSPECIFIED
   */
  public void denyAccountStatus(String pUsername, com.bea.medrec.value.Mail pMail)     throws RemoteException, com.bea.medrec.exceptions.MedRecException, java.lang.Exception;

  /**
   * <p>Finds patients by status "NEW".</p>
   * @exception NamingException
   * @return Collection  Collection of patient value objects.
   * @weblogic.ejbgen.RemoteMethod UNSPECIFIED
   */
  public java.util.List findNewUsers()     throws RemoteException, javax.naming.NamingException, java.lang.Exception;

  /**
   * <p>Find Patient by id.</p>
   * @exception NamingException
   * @return Patient  Patient value object.
   * @param pEmail   Patient email
   * @weblogic.ejbgen.RemoteMethod UNSPECIFIED
   */
  public com.bea.medrec.value.Patient findPatientByEmail(String pEmail)     throws RemoteException, javax.naming.NamingException, java.lang.Exception;

  /**
   * <p>Find Patient by id.</p>
   * @exception NamingException
   * @return Patient  Patient value object.
   * @param pId   Patient Id
   * @weblogic.ejbgen.RemoteMethod UNSPECIFIED
   */
  public com.bea.medrec.value.Patient findPatientById(Integer pId)     throws RemoteException, javax.naming.NamingException, java.lang.Exception;

  /**
   * <p>Creates new user account assign a temporary password.
 Used by the XML upload feature where passwords are not supplied.</p>
   * @exception NamingException
   * @return User
   * @param pUsername    Patient value objects.
   * @weblogic.ejbgen.RemoteMethod UNSPECIFIED
   */
  public com.bea.medrec.value.User getUserByUsername(String pUsername)     throws RemoteException, javax.naming.NamingException, javax.ejb.FinderException;

  /**
   * <p>Creates new patient account and stores associate records.
 Used by the XML upload feature where medical institutions
 pass all held record information for a particular patient.</p>
   * @exception CreateException
   * @param pMedRecCol
   * @weblogic.ejbgen.RemoteMethod UNSPECIFIED
   */
  public void insertMedicalRecord(java.util.Collection pMedRecCol)     throws RemoteException, javax.ejb.CreateException, javax.naming.NamingException, com.bea.medrec.exceptions.MedRecException, java.lang.Exception;

  /**
   * <p>Iterates through a collection storing records.</p>
   * @exception CreateException
   * @param pMedRecCol
   * @weblogic.ejbgen.RemoteMethod UNSPECIFIED
   */
  public void insertRecord(java.util.Collection pMedRecCol, Integer pPatId)     throws RemoteException, javax.ejb.CreateException, javax.naming.NamingException, com.bea.medrec.exceptions.MedRecException, java.lang.Exception;

  /**
   * <p>Start registration process by placing registration object on queue.
 The object is eventually picked up and acted upon.</p>
   * @exception NamingException
   * @param pReg    Registration value objects.
   * @weblogic.ejbgen.RemoteMethod UNSPECIFIED
   */
  public void processRegistration(com.bea.medrec.value.Registration pReg)     throws RemoteException, java.lang.Exception;

  /**
   * <p>Start XML file upload process by placing filename on queue.
 The object is eventually picked up and acted upon.</p>
   * @exception Exception
   * @param filename    Filename of XML file to be uploaded.
   * @weblogic.ejbgen.RemoteMethod UNSPECIFIED
   */
  public void processXMLUpload(String filename)     throws RemoteException, java.lang.Exception;

  /**
   * <p>Places new registration on registration
 queue for further processing.</p>
   * @exception Exception
   * @param obj    Serializable object to be placed on que.
   * @weblogic.ejbgen.RemoteMethod UNSPECIFIED
   */
  public void sendToQueue(java.io.Serializable obj, javax.jms.QueueSender qSender)     throws RemoteException, java.lang.Exception;

  /**
   * <p>Update user account status to given status.</p>
   * @exception MedRecException
   * @param pUsername    Patient value objects.
   * @weblogic.ejbgen.RemoteMethod UNSPECIFIED
   */
  public void updateAccountStatus(String pUsername, String pStatus)     throws RemoteException, com.bea.medrec.exceptions.MedRecException, java.lang.Exception;

}
