package com.bea.medrec.controller;


/*
  ** This file was automatically generated by 
  ** EJBGen WebLogic Server 10.0 SP0  Mon Mar 26 02:02:31 BST 2007 914577 
*/


import javax.ejb.EJBObject;
import java.rmi.RemoteException;

// BEGIN imports from bean class
import com.bea.medrec.entities.*;
import com.bea.medrec.utils.*;
import com.bea.medrec.value.*;
import java.rmi.*;
import java.util.*;
import javax.ejb.*;
import javax.naming.*;
import org.apache.log4j.*;
import weblogic.ejb.*;
import weblogic.ejbgen.*;
// END imports from bean class


/**
 * <p>Session facade for all MedRec medical record functionality.</p>
 */

public interface RecordSession extends EJBObject {


  /**
   * <p>Adds a record, including vital signs and prescriptions, by
 calling the appropriate entity beans.</p>
   * @throws RemoteException
   * @return Record
   * @param pRecordVO Complete record value object to be added
   * @weblogic.ejbgen.RemoteMethod UNSPECIFIED
   */
  public com.bea.medrec.value.Record addRecord(com.bea.medrec.value.Record pRecordVO)     throws RemoteException, javax.naming.NamingException, java.lang.Exception;

  /**
   * <p>Retrieves a patient.</p>
   * @throws NamingException
   * @return Physician  Found physician value oject.
   * @param pPhysicianVO Physician value object with first name and last name.
   * @weblogic.ejbgen.RemoteMethod UNSPECIFIED
   */
  public com.bea.medrec.value.Physician getPhysician(com.bea.medrec.value.Physician pPhysicianVO)     throws RemoteException, javax.naming.NamingException, javax.ejb.CreateException;

  /**
   * <p>Retrieves all prescriptions for a patient.</p>
   * @throws NamingException
   * @return Collection  Collection of prescription value objects.
   * @param pPatientId Id of the prescription.
   * @weblogic.ejbgen.RemoteMethod UNSPECIFIED
   */
  public com.bea.medrec.value.Prescription[] getPrescriptions(Integer pPatientId)     throws RemoteException, javax.naming.NamingException, java.lang.Exception;

  /**
   * <p>Retrieves all information for a visit given a record id.
 This includes vital signs, the record, and any prescriptions.</p>
   * @throws NamingException
   * @return Record  Record value object.
   * @param pRecordId Id of a record.
   * @weblogic.ejbgen.RemoteMethod UNSPECIFIED
   */
  public com.bea.medrec.value.Record getRecord(Integer pRecordId)     throws RemoteException, javax.naming.NamingException, java.lang.Exception;

  /**
   * <p>Retrieves a records for a patient.  Records return are lite weight.</p>
   * @throws NamingException
   * @return Collection  Collection of lite record value objects.
   * @param pPatientId Id of the patient.
   * @weblogic.ejbgen.RemoteMethod UNSPECIFIED
   */
  public com.bea.medrec.value.Record[] getRecords(Integer pPatientId)     throws RemoteException, javax.naming.NamingException, java.lang.Exception;

  /**
   * <p>Retrieves all medical record summary.
 This includes a collection of abbreviated records, and
 a collection of current and recent prescriptions.</p>
   * @throws NamingException
   * @return RecordsSummary
   * @param pPatientId Id of the patient.
   * @weblogic.ejbgen.RemoteMethod UNSPECIFIED
   */
  public com.bea.medrec.value.RecordsSummary getRecordsSummary(Integer pPatientId)     throws RemoteException, javax.naming.NamingException, java.lang.Exception;

}
